WorkerStateEvent (JavaFX 19)
Description: declaration: module: javafx.graphics, package: javafx.concurrent, class: WorkerStateEvent

Module javafx.graphics
Package javafx.concurrent

# Class WorkerStateEvent

java.lang.Object
java.util.EventObject
javafx.event.Event
javafx.concurrent.WorkerStateEvent

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class WorkerStateEvent extends Event
An event which occurs whenever the state changes on a Worker. Both `Task` and `Service` support listening to state events.

Since:
  JavaFX 2.1
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final EventType<WorkerStateEvent>`
  `ANY`
  Common supertype for all worker state event types.
  `static final EventType<WorkerStateEvent>`
  `WORKER_STATE_CANCELLED`
  This event occurs when the state of a Worker implementation has transitioned to the CANCELLED state.
  `static final EventType<WorkerStateEvent>`
  `WORKER_STATE_FAILED`
  This event occurs when the state of a Worker implementation has transitioned to the FAILED state.
  `static final EventType<WorkerStateEvent>`
  `WORKER_STATE_READY`
  This event occurs when the state of a Worker implementation has transitioned to the READY state.
  `static final EventType<WorkerStateEvent>`
  `WORKER_STATE_RUNNING`
  This event occurs when the state of a Worker implementation has transitioned to the RUNNING state.
  `static final EventType<WorkerStateEvent>`
  `WORKER_STATE_SCHEDULED`
  This event occurs when the state of a Worker implementation has transitioned to the SCHEDULED state.
  `static final EventType<WorkerStateEvent>`
  `WORKER_STATE_SUCCEEDED`
  This event occurs when the state of a Worker implementation has transitioned to the SUCCEEDED state.

  ### Fields declared in class javafx.event.Event

  `consumed, eventType, NULL_SOURCE_TARGET, target`

  ### Fields declared in class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkerStateEvent(Worker worker, EventType<? extends WorkerStateEvent> eventType)`
  Create a new WorkerStateEvent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Worker`
  `getSource()`
  The Worker on which the Event initially occurred.

  ### Methods declared in class javafx.event.Event

  `clone, consume, copyFor, fireEvent, getEventType, getTarget, isConsumed`

  ### Methods declared in class java.util.EventObject

  `toString`

  ### Methods declared in class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ANY

    public static final EventType<WorkerStateEvent> ANY
    Common supertype for all worker state event types.

  - ### WORKER_STATE_READY

    public static final EventType<WorkerStateEvent> WORKER_STATE_READY
    This event occurs when the state of a Worker implementation has transitioned to the READY state.

  - ### WORKER_STATE_SCHEDULED

    public static final EventType<WorkerStateEvent> WORKER_STATE_SCHEDULED
    This event occurs when the state of a Worker implementation has transitioned to the SCHEDULED state.

  - ### WORKER_STATE_RUNNING

    public static final EventType<WorkerStateEvent> WORKER_STATE_RUNNING
    This event occurs when the state of a Worker implementation has transitioned to the RUNNING state.

  - ### WORKER_STATE_SUCCEEDED

    public static final EventType<WorkerStateEvent> WORKER_STATE_SUCCEEDED
    This event occurs when the state of a Worker implementation has transitioned to the SUCCEEDED state.

  - ### WORKER_STATE_CANCELLED

    public static final EventType<WorkerStateEvent> WORKER_STATE_CANCELLED
    This event occurs when the state of a Worker implementation has transitioned to the CANCELLED state.

  - ### WORKER_STATE_FAILED

    public static final EventType<WorkerStateEvent> WORKER_STATE_FAILED
    This event occurs when the state of a Worker implementation has transitioned to the FAILED state.

- ## Constructor Details

  - ### WorkerStateEvent

    public WorkerStateEvent(Worker worker, EventType<? extends WorkerStateEvent> eventType)
    Create a new WorkerStateEvent. Specify the worker and the event type.
    Parameters:
      `worker` - The Worker which is firing the event. The Worker really should be an EventTarget, otherwise the EventTarget for the event will be null.
      `eventType` - The type of event. This should not be null.

- ## Method Details

  - ### getSource

    public Worker getSource()
    The Worker on which the Event initially occurred.
    Overrides:
      `getSource` in class `EventObject`
    Returns:
      The Worker on which the Event initially occurred.